Index: ./x11/gtk2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gtk2/buildlink3.mk,v
retrieving revision 1.22
diff -u -r1.22 buildlink3.mk
--- ./x11/gtk2/buildlink3.mk	5 Feb 2006 23:11:34 -0000	1.22
+++ ./x11/gtk2/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gtk2
 
 .if !empty(GTK2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtk2+=	gtk2+>=2.4.0
-BUILDLINK_RECOMMENDED.gtk2+=	gtk2+>=2.8.11nb1
+BUILDLINK_API_DEPENDS.gtk2+=	gtk2+>=2.4.0
+BUILDLINK_ABI_DEPENDS.gtk2+=	gtk2+>=2.8.11nb1
 BUILDLINK_PKGSRCDIR.gtk2?=	../../x11/gtk2
 
 PRINT_PLIST_AWK+=	/^@dirrm lib\/gtk-2.0$$/ { next; }
Index: ./x11/gtk2+extra/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gtk2+extra/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./x11/gtk2+extra/buildlink3.mk	5 Feb 2006 23:11:34 -0000	1.3
+++ ./x11/gtk2+extra/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gtk2+extra
 
 .if !empty(GTK2+EXTRA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtk2+extra+=	gtk2+extra>=2.1.1
-BUILDLINK_RECOMMENDED.gtk2+extra?=	gtk2+extra>=2.1.1nb2
+BUILDLINK_API_DEPENDS.gtk2+extra+=	gtk2+extra>=2.1.1
+BUILDLINK_ABI_DEPENDS.gtk2+extra?=	gtk2+extra>=2.1.1nb2
 BUILDLINK_PKGSRCDIR.gtk2+extra?=	../../x11/gtk2+extra
 .endif	# GTK2+EXTRA_BUILDLINK3_MK
 
Index: ./x11/gtkglarea/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gtkglarea/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./x11/gtkglarea/buildlink3.mk	5 Feb 2006 23:11:34 -0000	1.3
+++ ./x11/gtkglarea/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gtkglarea
 
 .if !empty(GTKGLAREA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtkglarea+=	gtkglarea>=1.2.2nb3
-BUILDLINK_RECOMMENDED.gtkglarea?=	gtkglarea>=1.2.3nb2
+BUILDLINK_API_DEPENDS.gtkglarea+=	gtkglarea>=1.2.2nb3
+BUILDLINK_ABI_DEPENDS.gtkglarea?=	gtkglarea>=1.2.3nb2
 BUILDLINK_PKGSRCDIR.gtkglarea?=	../../x11/gtkglarea
 .endif	# GTKGLAREA_BUILDLINK3_MK
 
Index: ./x11/gtk2-engines/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gtk2-engines/Makefile,v
retrieving revision 1.38
diff -u -r1.38 Makefile
--- ./x11/gtk2-engines/Makefile	2 Mar 2006 21:08:30 -0000	1.38
+++ ./x11/gtk2-engines/Makefile	4 Apr 2006 06:26:59 -0000
@@ -15,7 +15,7 @@
 CONFLICTS+=		gtk2-engines-industrial-[0-9]*
 CONFLICTS+=		gnome-themes-extras<0.8
 
-BUILDLINK_DEPENDS.gtk2+=	gtk2+>=2.6.4
+BUILDLINK_API_DEPENDS.gtk2+=	gtk2+>=2.6.4
 
 USE_TOOLS+=		pkg-config
 GNU_CONFIGURE=		yes
Index: ./x11/gtk2-engines/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gtk2-engines/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./x11/gtk2-engines/buildlink3.mk	5 Feb 2006 23:11:34 -0000	1.7
+++ ./x11/gtk2-engines/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gtk2-engines
 
 .if !empty(GTK2_ENGINES_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtk2-engines+=	gtk2-engines>=2.6.0
-BUILDLINK_RECOMMENDED.gtk2-engines?=	gtk2-engines>=2.6.6nb2
+BUILDLINK_API_DEPENDS.gtk2-engines+=	gtk2-engines>=2.6.0
+BUILDLINK_ABI_DEPENDS.gtk2-engines?=	gtk2-engines>=2.6.6nb2
 BUILDLINK_PKGSRCDIR.gtk2-engines?=	../../x11/gtk2-engines
 .endif	# GTK2_ENGINES_BUILDLINK3_MK
 
Index: ./x11/gtkglarea2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gtkglarea2/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./x11/gtkglarea2/buildlink3.mk	5 Feb 2006 23:11:34 -0000	1.5
+++ ./x11/gtkglarea2/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gtkglarea2
 
 .if !empty(GTKGLAREA2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtkglarea2+=		gtkglarea2>=1.99.0nb3
-BUILDLINK_RECOMMENDED.gtkglarea2?=	gtkglarea2>=1.99.0nb6
+BUILDLINK_API_DEPENDS.gtkglarea2+=		gtkglarea2>=1.99.0nb3
+BUILDLINK_ABI_DEPENDS.gtkglarea2?=	gtkglarea2>=1.99.0nb6
 BUILDLINK_PKGSRCDIR.gtkglarea2?=	../../x11/gtkglarea2
 .endif	# GTKGLAREA2_BUILDLINK3_MK
 
Index: ./x11/gtkmm/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gtkmm/Makefile,v
retrieving revision 1.35
diff -u -r1.35 Makefile
--- ./x11/gtkmm/Makefile	14 Feb 2006 22:05:44 -0000	1.35
+++ ./x11/gtkmm/Makefile	4 Apr 2006 06:26:59 -0000
@@ -19,7 +19,7 @@
 PKGCONFIG_OVERRIDE+=	gtk/gtkmm-2.4.pc.in
 PKGCONFIG_OVERRIDE+=	pango/pangomm-1.4.pc.in
 
-BUILDLINK_DEPENDS.glibmm+=	glibmm>=2.8.0
+BUILDLINK_API_DEPENDS.glibmm+=	glibmm>=2.8.0
 
 .include "../../devel/glibmm/buildlink3.mk"
 .include "../../x11/gtk2/buildlink3.mk"
Index: ./x11/gtkmm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gtkmm/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./x11/gtkmm/buildlink3.mk	5 Feb 2006 23:11:35 -0000	1.6
+++ ./x11/gtkmm/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gtkmm
 
 .if !empty(GTKMM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtkmm+=	gtkmm>=2.6.3
-BUILDLINK_RECOMMENDED.gtkmm?=	gtkmm>=2.8.2nb2
+BUILDLINK_API_DEPENDS.gtkmm+=	gtkmm>=2.6.3
+BUILDLINK_ABI_DEPENDS.gtkmm?=	gtkmm>=2.8.2nb2
 BUILDLINK_PKGSRCDIR.gtkmm?=	../../x11/gtkmm
 .endif	# GTKMM_BUILDLINK3_MK
 
Index: ./x11/gtksourceview/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gtksourceview/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./x11/gtksourceview/buildlink3.mk	5 Feb 2006 23:11:35 -0000	1.8
+++ ./x11/gtksourceview/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gtksourceview
 
 .if !empty(GTKSOURCEVIEW_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtksourceview+=	gtksourceview>=1.2.0
-BUILDLINK_RECOMMENDED.gtksourceview?=	gtksourceview>=1.4.2nb2
+BUILDLINK_API_DEPENDS.gtksourceview+=	gtksourceview>=1.2.0
+BUILDLINK_ABI_DEPENDS.gtksourceview?=	gtksourceview>=1.4.2nb2
 BUILDLINK_PKGSRCDIR.gtksourceview?=	../../x11/gtksourceview
 .endif	# GTKSOURCEVIEW_BUILDLINK3_MK
 
Index: ./x11/gtoolkit/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/gtoolkit/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./x11/gtoolkit/buildlink3.mk	5 Feb 2006 23:11:35 -0000	1.6
+++ ./x11/gtoolkit/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,9 +11,9 @@
 BUILDLINK_PACKAGES+=	gtoolkit
 
 .if !empty(GTOOLKIT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtoolkit+=	gtoolkit>=0.9.5nb5
-BUILDLINK_RECOMMENDED.gtoolkit+=gtoolkit>=0.9.5nb7
-BUILDLINK_RECOMMENDED.gtoolkit?=	gtoolkit>=0.9.5nb9
+BUILDLINK_API_DEPENDS.gtoolkit+=	gtoolkit>=0.9.5nb5
+BUILDLINK_ABI_DEPENDS.gtoolkit+=gtoolkit>=0.9.5nb7
+BUILDLINK_ABI_DEPENDS.gtoolkit?=	gtoolkit>=0.9.5nb9
 BUILDLINK_PKGSRCDIR.gtoolkit?=	../../x11/gtoolkit
 .endif	# GTOOLKIT_BUILDLINK3_MK
 
Index: ./x11/kdebase3/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/kdebase3/Makefile,v
retrieving revision 1.108
diff -u -r1.108 Makefile
--- ./x11/kdebase3/Makefile	30 Mar 2006 02:39:39 -0000	1.108
+++ ./x11/kdebase3/Makefile	4 Apr 2006 06:26:59 -0000
@@ -91,8 +91,8 @@
 
 .include "../../mk/bsd.options.mk"
 
-BUILDLINK_DEPENDS.Xrandr+=	Xrandr>=1.0
-BUILDLINK_DEPENDS.kdelibs+=	kdelibs>=${_KDE_VERSION}
+BUILDLINK_API_DEPENDS.Xrandr+=	Xrandr>=1.0
+BUILDLINK_API_DEPENDS.kdelibs+=	kdelibs>=${_KDE_VERSION}
 
 DEPENDS+=		htdig>=3.2.0:../../www/htdig-devel
 
Index: ./x11/kdebase3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/kdebase3/buildlink3.mk,v
retrieving revision 1.15
diff -u -r1.15 buildlink3.mk
--- ./x11/kdebase3/buildlink3.mk	5 Feb 2006 23:11:38 -0000	1.15
+++ ./x11/kdebase3/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	kdebase
 
 .if !empty(KDEBASE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.kdebase+=	kdebase>=3.5.0nb2
-BUILDLINK_RECOMMENDED.kdebase?=	kdebase>=3.5.1nb2
+BUILDLINK_API_DEPENDS.kdebase+=	kdebase>=3.5.0nb2
+BUILDLINK_ABI_DEPENDS.kdebase?=	kdebase>=3.5.1nb2
 BUILDLINK_PKGSRCDIR.kdebase?=	../../x11/kdebase3
 .endif	# KDEBASE_BUILDLINK3_MK
 
@@ -24,7 +24,7 @@
 .endif
 MAKEVARS+=	PKG_BUILD_OPTIONS.kdebase
 
-BUILDLINK_DEPENDS.Xrandr+=      Xrandr>=1.0
+BUILDLINK_API_DEPENDS.Xrandr+=      Xrandr>=1.0
 
 .include "../../databases/openldap/buildlink3.mk"
 .include "../../fonts/fontconfig/buildlink3.mk"
Index: ./x11/kdelibs3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/kdelibs3/buildlink3.mk,v
retrieving revision 1.17
diff -u -r1.17 buildlink3.mk
--- ./x11/kdelibs3/buildlink3.mk	9 Mar 2006 21:04:45 -0000	1.17
+++ ./x11/kdelibs3/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	kdelibs
 
 .if !empty(KDELIBS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.kdelibs+=	kdelibs>=3.2.0
-BUILDLINK_RECOMMENDED.kdelibs?=	kdelibs>=3.5.1nb1
+BUILDLINK_API_DEPENDS.kdelibs+=	kdelibs>=3.2.0
+BUILDLINK_ABI_DEPENDS.kdelibs?=	kdelibs>=3.5.1nb1
 BUILDLINK_PKGSRCDIR.kdelibs?=	../../x11/kdelibs3
 
 .include "../../x11/kdelibs3/dirs.mk"
Index: ./x11/lablgtk/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/lablgtk/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- ./x11/lablgtk/Makefile	4 Mar 2006 21:31:09 -0000	1.25
+++ ./x11/lablgtk/Makefile	4 Apr 2006 06:26:59 -0000
@@ -12,7 +12,7 @@
 USE_TOOLS+=	gmake
 
 BUILDLINK_DEPMETHOD.ocaml=	full
-BUILDLINK_DEPENDS.ocaml+=	ocaml>=3.0.5
+BUILDLINK_API_DEPENDS.ocaml+=	ocaml>=3.0.5
 
 .include "../../mk/bsd.prefs.mk"
 
Index: ./x11/lablgtk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/lablgtk/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/lablgtk/buildlink3.mk	5 Feb 2006 23:11:39 -0000	1.4
+++ ./x11/lablgtk/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	lablgtk
 
 .if !empty(LABLGTK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.lablgtk+=	lablgtk>=1.2.5nb3
-BUILDLINK_RECOMMENDED.lablgtk?=	lablgtk>=1.2.7nb2
+BUILDLINK_API_DEPENDS.lablgtk+=	lablgtk>=1.2.5nb3
+BUILDLINK_ABI_DEPENDS.lablgtk?=	lablgtk>=1.2.7nb2
 BUILDLINK_PKGSRCDIR.lablgtk?=	../../x11/lablgtk
 .endif	# LABLGTK_BUILDLINK3_MK
 
Index: ./x11/lablgtk2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/lablgtk2/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./x11/lablgtk2/buildlink3.mk	5 Feb 2006 23:11:39 -0000	1.7
+++ ./x11/lablgtk2/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	lablgtk2
 
 .if !empty(LABLGTK2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.lablgtk2+=	lablgtk2>=2.6.0nb3
-BUILDLINK_RECOMMENDED.lablgtk2?=	lablgtk2>=2.6.0nb5
+BUILDLINK_API_DEPENDS.lablgtk2+=	lablgtk2>=2.6.0nb3
+BUILDLINK_ABI_DEPENDS.lablgtk2?=	lablgtk2>=2.6.0nb5
 BUILDLINK_PKGSRCDIR.lablgtk2?=	../../x11/lablgtk2
 .endif	# LABLGTK2_BUILDLINK3_MK
 
Index: ./x11/lesstif/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/lesstif/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./x11/lesstif/buildlink3.mk	5 Feb 2006 23:11:39 -0000	1.6
+++ ./x11/lesstif/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	lesstif
 
 .if !empty(LESSTIF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.lesstif+=	lesstif>=0.91.4
-BUILDLINK_RECOMMENDED.lesstif+=	lesstif>=0.94.4nb2
+BUILDLINK_API_DEPENDS.lesstif+=	lesstif>=0.91.4
+BUILDLINK_ABI_DEPENDS.lesstif+=	lesstif>=0.94.4nb2
 BUILDLINK_PKGSRCDIR.lesstif?=	../../x11/lesstif
 .endif	# LESSTIF_BUILDLINK3_MK
 
Index: ./x11/libexo/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/libexo/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/libexo/buildlink3.mk	5 Feb 2006 23:11:39 -0000	1.4
+++ ./x11/libexo/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	exo
 
 .if !empty(EXO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.exo+=		exo>=0.3.0
-BUILDLINK_RECOMMENDED.exo?=	exo>=0.3.0nb2
+BUILDLINK_API_DEPENDS.exo+=		exo>=0.3.0
+BUILDLINK_ABI_DEPENDS.exo?=	exo>=0.3.0nb2
 BUILDLINK_PKGSRCDIR.exo?=	../../x11/libexo
 .endif	# EXO_BUILDLINK3_MK
 
Index: ./x11/libxfce4gui/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/libxfce4gui/buildlink3.mk,v
retrieving revision 1.13
diff -u -r1.13 buildlink3.mk
--- ./x11/libxfce4gui/buildlink3.mk	17 Feb 2006 06:49:25 -0000	1.13
+++ ./x11/libxfce4gui/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libxfce4gui
 
 .if !empty(LIBXFCE4GUI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libxfce4gui+=	libxfce4gui>=4.2.3
-BUILDLINK_RECOMMENDED.libxfce4gui?=	libxfce4gui>=4.2.3nb2
+BUILDLINK_API_DEPENDS.libxfce4gui+=	libxfce4gui>=4.2.3
+BUILDLINK_ABI_DEPENDS.libxfce4gui?=	libxfce4gui>=4.2.3nb2
 BUILDLINK_PKGSRCDIR.libxfce4gui?=	../../x11/libxfce4gui
 .endif	# LIBXFCE4GUI_BUILDLINK3_MK
 
Index: ./x11/libxfce4mcs/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/libxfce4mcs/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./x11/libxfce4mcs/buildlink3.mk	17 Feb 2006 06:49:25 -0000	1.12
+++ ./x11/libxfce4mcs/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libxfce4mcs
 
 .if !empty(LIBXFCE4MCS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libxfce4mcs+=	libxfce4mcs>=4.2.3
-BUILDLINK_RECOMMENDED.libxfce4mcs?=	libxfce4mcs>=4.2.3nb1
+BUILDLINK_API_DEPENDS.libxfce4mcs+=	libxfce4mcs>=4.2.3
+BUILDLINK_ABI_DEPENDS.libxfce4mcs?=	libxfce4mcs>=4.2.3nb1
 BUILDLINK_PKGSRCDIR.libxfce4mcs?=	../../x11/libxfce4mcs
 .endif	# LIBXFCE4MCS_BUILDLINK3_MK
 
Index: ./x11/libxfce4util/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/libxfce4util/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./x11/libxfce4util/buildlink3.mk	17 Feb 2006 06:49:25 -0000	1.12
+++ ./x11/libxfce4util/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libxfce4util
 
 .if !empty(LIBXFCE4UTIL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libxfce4util+=	libxfce4util>=4.2.3.2
-BUILDLINK_RECOMMENDED.libxfce4util?=	libxfce4util>=4.2.3.2nb1
+BUILDLINK_API_DEPENDS.libxfce4util+=	libxfce4util>=4.2.3.2
+BUILDLINK_ABI_DEPENDS.libxfce4util?=	libxfce4util>=4.2.3.2nb1
 BUILDLINK_PKGSRCDIR.libxfce4util?=	../../x11/libxfce4util
 .endif	# LIBXFCE4UTIL_BUILDLINK3_MK
 
Index: ./x11/libxklavier/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/libxklavier/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./x11/libxklavier/buildlink3.mk	5 Feb 2006 23:11:39 -0000	1.8
+++ ./x11/libxklavier/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libxklavier
 
 .if !empty(LIBXKLAVIER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libxklavier+=		libxklavier>=2.0
-BUILDLINK_RECOMMENDED.libxklavier?=	libxklavier>=2.0nb1
+BUILDLINK_API_DEPENDS.libxklavier+=		libxklavier>=2.0
+BUILDLINK_ABI_DEPENDS.libxklavier?=	libxklavier>=2.0nb1
 BUILDLINK_PKGSRCDIR.libxklavier?=	../../x11/libxklavier
 .endif	# LIBXKLAVIER_BUILDLINK3_MK
 
Index: ./x11/libzvt/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/libzvt/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./x11/libzvt/buildlink3.mk	5 Feb 2006 23:11:39 -0000	1.6
+++ ./x11/libzvt/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libzvt
 
 .if !empty(LIBZVT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libzvt+=	libzvt>=2.0.1nb5
-BUILDLINK_RECOMMENDED.libzvt+=	libzvt>=2.0.1nb8
+BUILDLINK_API_DEPENDS.libzvt+=	libzvt>=2.0.1nb5
+BUILDLINK_ABI_DEPENDS.libzvt+=	libzvt>=2.0.1nb8
 BUILDLINK_PKGSRCDIR.libzvt?=	../../x11/libzvt
 .endif	# LIBZVT_BUILDLINK3_MK
 
Index: ./x11/mowitz/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/mowitz/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./x11/mowitz/buildlink3.mk	5 Feb 2006 23:11:40 -0000	1.3
+++ ./x11/mowitz/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	Mowitz
 
 .if !empty(MOWITZ_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Mowitz+=	Mowitz>=0.2.1
-BUILDLINK_RECOMMENDED.Mowitz+=	Mowitz>=0.2.2nb2
+BUILDLINK_API_DEPENDS.Mowitz+=	Mowitz>=0.2.1
+BUILDLINK_ABI_DEPENDS.Mowitz+=	Mowitz>=0.2.2nb2
 BUILDLINK_PKGSRCDIR.Mowitz?=	../../x11/mowitz
 .endif	# MOWITZ_BUILDLINK3_MK
 
Index: ./x11/neXtaw/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/neXtaw/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./x11/neXtaw/buildlink3.mk	5 Feb 2006 23:11:40 -0000	1.5
+++ ./x11/neXtaw/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	neXtaw
 
 .if !empty(NEXTAW_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.neXtaw+=	neXtaw>=0.15.1
-BUILDLINK_RECOMMENDED.neXtaw+=	neXtaw>=0.15.1nb2
+BUILDLINK_API_DEPENDS.neXtaw+=	neXtaw>=0.15.1
+BUILDLINK_ABI_DEPENDS.neXtaw+=	neXtaw>=0.15.1nb2
 BUILDLINK_PKGSRCDIR.neXtaw?=	../../x11/neXtaw
 .endif	# NEXTAW_BUILDLINK3_MK
 
Index: ./x11/ocaml-graphics/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/ocaml-graphics/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./x11/ocaml-graphics/buildlink3.mk	5 Feb 2006 23:11:40 -0000	1.3
+++ ./x11/ocaml-graphics/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ocaml-graphics
 
 .if !empty(OCAML_GRAPHICS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ocaml-graphics+=	ocaml-graphics>=3.08.2
-BUILDLINK_RECOMMENDED.ocaml-graphics?=	ocaml-graphics>=3.09.1
+BUILDLINK_API_DEPENDS.ocaml-graphics+=	ocaml-graphics>=3.08.2
+BUILDLINK_ABI_DEPENDS.ocaml-graphics?=	ocaml-graphics>=3.09.1
 BUILDLINK_PKGSRCDIR.ocaml-graphics?=	../../x11/ocaml-graphics
 .endif	# OCAML_GRAPHICS_BUILDLINK3_MK
 
Index: ./x11/openmotif/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/openmotif/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/openmotif/buildlink3.mk	5 Feb 2006 23:11:40 -0000	1.4
+++ ./x11/openmotif/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	openmotif
 
 .if !empty(OPENMOTIF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.openmotif+=	openmotif>=2.2.3
-BUILDLINK_RECOMMENDED.openmotif?=	openmotif>=2.2.3nb2
+BUILDLINK_API_DEPENDS.openmotif+=	openmotif>=2.2.3
+BUILDLINK_ABI_DEPENDS.openmotif?=	openmotif>=2.2.3nb2
 BUILDLINK_PKGSRCDIR.openmotif?=	../../x11/openmotif
 .endif	# OPENMOTIF_BUILDLINK3_MK
 
Index: ./x11/paragui/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/paragui/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./x11/paragui/buildlink3.mk	5 Feb 2006 23:11:40 -0000	1.10
+++ ./x11/paragui/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	paragui
 
 .if !empty(PARAGUI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.paragui+=	paragui>=1.0.4nb3
-BUILDLINK_RECOMMENDED.paragui+=	paragui>=1.0.4nb10
+BUILDLINK_API_DEPENDS.paragui+=	paragui>=1.0.4nb3
+BUILDLINK_ABI_DEPENDS.paragui+=	paragui>=1.0.4nb10
 BUILDLINK_PKGSRCDIR.paragui?=	../../x11/paragui
 .endif	# PARAGUI_BUILDLINK3_MK
 
Index: ./x11/py-Pmw/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-Pmw/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./x11/py-Pmw/buildlink3.mk	5 Feb 2006 23:11:40 -0000	1.2
+++ ./x11/py-Pmw/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pypmw
 
 .if !empty(PY_PMW_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pypmw+=	${PYPKGPREFIX}-Pmw-[0-9]*
-BUILDLINK_RECOMMENDED.pypmw?=	${PYPKGPREFIX}-Pmw>=1.2nb1
+BUILDLINK_API_DEPENDS.pypmw+=	${PYPKGPREFIX}-Pmw-[0-9]*
+BUILDLINK_ABI_DEPENDS.pypmw?=	${PYPKGPREFIX}-Pmw>=1.2nb1
 BUILDLINK_PKGSRCDIR.pypmw?=	../../x11/py-Pmw
 .endif	# PY_PMW_BUILDLINK3_MK
 
Index: ./x11/py-Tk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-Tk/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./x11/py-Tk/buildlink3.mk	5 Feb 2006 23:11:41 -0000	1.2
+++ ./x11/py-Tk/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	pytk
 
 .if !empty(PYTK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pytk+=	${PYPKGPREFIX}-Tk-[0-9]*
-BUILDLINK_RECOMMENDED.pytk?=	${PYPKGPREFIX}-Tk>=0nb4
+BUILDLINK_API_DEPENDS.pytk+=	${PYPKGPREFIX}-Tk-[0-9]*
+BUILDLINK_ABI_DEPENDS.pytk?=	${PYPKGPREFIX}-Tk>=0nb4
 BUILDLINK_PKGSRCDIR.pytk?=	../../x11/py-Tk
 .endif	# PYTK_BUILDLINK3_MK
 
Index: ./x11/py-Xlib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-Xlib/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/py-Xlib/buildlink3.mk	5 Feb 2006 23:11:41 -0000	1.4
+++ ./x11/py-Xlib/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	py-Xlib
 
 .if !empty(PY_XLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.py-Xlib+=	${PYPKGPREFIX}-Xlib>=0.12
-BUILDLINK_RECOMMENDED.py-Xlib?=	${PYPKGPREFIX}-Xlib>=0.12nb1
+BUILDLINK_API_DEPENDS.py-Xlib+=	${PYPKGPREFIX}-Xlib>=0.12
+BUILDLINK_ABI_DEPENDS.py-Xlib?=	${PYPKGPREFIX}-Xlib>=0.12nb1
 BUILDLINK_PKGSRCDIR.py-Xlib?=	../../x11/py-Xlib
 .endif	# PY_XLIB_BUILDLINK3_MK
 
Index: ./x11/py-gnome2/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-gnome2/Makefile,v
retrieving revision 1.34
diff -u -r1.34 Makefile
--- ./x11/py-gnome2/Makefile	6 Mar 2006 00:18:27 -0000	1.34
+++ ./x11/py-gnome2/Makefile	4 Apr 2006 06:26:59 -0000
@@ -24,18 +24,18 @@
 .include "../../lang/python/extension.mk"
 .include "../../lang/python/application.mk"
 
-BUILDLINK_DEPENDS.GConf2+=	GConf2>=2.11.1
+BUILDLINK_API_DEPENDS.GConf2+=	GConf2>=2.11.1
 .include "../../devel/GConf2/buildlink3.mk"
 .include "../../devel/libbonobo/buildlink3.mk"
 .include "../../devel/libbonoboui/buildlink3.mk"
 .include "../../devel/libgnome/buildlink3.mk"
 .include "../../devel/libgnomeui/buildlink3.mk"
 .include "../../graphics/libgnomecanvas/buildlink3.mk"
-BUILDLINK_DEPENDS.pyorbit+=	${PYPKGPREFIX}-ORBit>=2.0.1
+BUILDLINK_API_DEPENDS.pyorbit+=	${PYPKGPREFIX}-ORBit>=2.0.1
 .include "../../net/py-ORBit/buildlink3.mk"
-BUILDLINK_DEPENDS.gnome-vfs2+=	gnome-vfs2>=2.9.0
+BUILDLINK_API_DEPENDS.gnome-vfs2+=	gnome-vfs2>=2.9.0
 .include "../../sysutils/gnome-vfs2/buildlink3.mk"
-BUILDLINK_DEPENDS.pygtk2+=	${PYPKGPREFIX}-gtk2>=2.6.2
+BUILDLINK_API_DEPENDS.pygtk2+=	${PYPKGPREFIX}-gtk2>=2.6.2
 .include "../../x11/py-gtk2/buildlink3.mk"
 
 .include "../../mk/pthread.buildlink3.mk"
Index: ./x11/py-gnome2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-gnome2/buildlink3.mk,v
retrieving revision 1.13
diff -u -r1.13 buildlink3.mk
--- ./x11/py-gnome2/buildlink3.mk	5 Feb 2006 23:11:41 -0000	1.13
+++ ./x11/py-gnome2/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pygnome2
 
 .if !empty(PY_GNOME2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pygnome2+=	${PYPKGPREFIX}-gnome2>=2.10.0
-BUILDLINK_RECOMMENDED.pygnome2?=	${PYPKGPREFIX}-gnome2>=2.12.1nb3
+BUILDLINK_API_DEPENDS.pygnome2+=	${PYPKGPREFIX}-gnome2>=2.10.0
+BUILDLINK_ABI_DEPENDS.pygnome2?=	${PYPKGPREFIX}-gnome2>=2.12.1nb3
 BUILDLINK_PKGSRCDIR.pygnome2?=	../../x11/py-gnome2
 .endif	# PY_GNOME2_BUILDLINK3_MK
 
Index: ./x11/py-gnome2-extras/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-gnome2-extras/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- ./x11/py-gnome2-extras/Makefile	6 Mar 2006 00:18:27 -0000	1.12
+++ ./x11/py-gnome2-extras/Makefile	4 Apr 2006 06:26:59 -0000
@@ -21,7 +21,7 @@
 
 PYTHON_VERSIONS_ACCEPTED=	24 23
 
-BUILDLINK_DEPENDS.nautilus-cd-burner+=	nautilus-cd-burner>=2.11.1
+BUILDLINK_API_DEPENDS.nautilus-cd-burner+=	nautilus-cd-burner>=2.11.1
 
 .include "../../lang/python/extension.mk"
 .include "../../lang/python/application.mk"
Index: ./x11/py-gnome2-extras/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-gnome2-extras/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./x11/py-gnome2-extras/buildlink3.mk	5 Feb 2006 23:11:41 -0000	1.6
+++ ./x11/py-gnome2-extras/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pygnome2ex
 
 .if !empty(PY_GNOME2EX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pygnome2ex+=	${PYPKGPREFIX}-gnome2-extras>=2.12.0nb3
-BUILDLINK_RECOMMENDED.pygnome2ex?=	${PYPKGPREFIX}-gnome2-extras>=2.12.0nb5
+BUILDLINK_API_DEPENDS.pygnome2ex+=	${PYPKGPREFIX}-gnome2-extras>=2.12.0nb3
+BUILDLINK_ABI_DEPENDS.pygnome2ex?=	${PYPKGPREFIX}-gnome2-extras>=2.12.0nb5
 BUILDLINK_PKGSRCDIR.pygnome2ex?=	../../x11/py-gnome2-extras
 .endif	# PY_GNOME2EX_BUILDLINK3_MK
 
Index: ./x11/py-gtk2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-gtk2/buildlink3.mk,v
retrieving revision 1.13
diff -u -r1.13 buildlink3.mk
--- ./x11/py-gtk2/buildlink3.mk	7 Feb 2006 21:27:28 -0000	1.13
+++ ./x11/py-gtk2/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -13,7 +13,7 @@
 BUILDLINK_PACKAGES+=	pygtk2
 
 .if !empty(PY_GTK2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pygtk2+=	${PYPKGPREFIX}-gtk2>=2.8.4
+BUILDLINK_API_DEPENDS.pygtk2+=	${PYPKGPREFIX}-gtk2>=2.8.4
 BUILDLINK_PKGSRCDIR.pygtk2?=	../../x11/py-gtk2
 .endif	# PY_GTK2_BUILDLINK3_MK
 
Index: ./x11/py-qt2/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-qt2/Makefile,v
retrieving revision 1.19
diff -u -r1.19 Makefile
--- ./x11/py-qt2/Makefile	2 Mar 2006 21:53:52 -0000	1.19
+++ ./x11/py-qt2/Makefile	4 Apr 2006 06:26:59 -0000
@@ -24,7 +24,7 @@
 
 # MesaLib is pulled in through qt2-libs; we need a version
 # which doesn't (needlessly) link to libpthread
-BUILDLINK_DEPENDS.MesaLib+=	MesaLib>=6.4.2nb1
+BUILDLINK_API_DEPENDS.MesaLib+=	MesaLib>=6.4.2nb1
 
 .include "../../lang/python/extension.mk"
 
Index: ./x11/py-qt2-sip/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-qt2-sip/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/py-qt2-sip/buildlink3.mk	5 Feb 2006 23:11:41 -0000	1.4
+++ ./x11/py-qt2-sip/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pyqt2sip
 
 .if !empty(PY_QT2_SIP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pyqt2sip+=	${PYPKGPREFIX}-qt2-sip-[0-9]*
-BUILDLINK_RECOMMENDED.pyqt2sip+=	${PYPKGPREFIX}-qt2-sip>=3.1nb3
+BUILDLINK_API_DEPENDS.pyqt2sip+=	${PYPKGPREFIX}-qt2-sip-[0-9]*
+BUILDLINK_ABI_DEPENDS.pyqt2sip+=	${PYPKGPREFIX}-qt2-sip>=3.1nb3
 BUILDLINK_PKGSRCDIR.pyqt2sip?=	../../x11/py-qt2-sip
 .endif	# PY_QT2_SIP_BUILDLINK3_MK
 
Index: ./x11/py-qt3-base/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-qt3-base/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- ./x11/py-qt3-base/Makefile	10 Feb 2006 10:45:02 -0000	1.22
+++ ./x11/py-qt3-base/Makefile	4 Apr 2006 06:26:59 -0000
@@ -8,7 +8,7 @@
 
 COMMENT=		Python binding for Qt3
 
-BUILDLINK_DEPENDS.qt3-tools+=	qt3-tools>=3.1.2nb2
+BUILDLINK_API_DEPENDS.qt3-tools+=	qt3-tools>=3.1.2nb2
 
 PLIST_SRC=		${PKGDIR}/PLIST.common
 .if ${OPSYS} == "Darwin"
Index: ./x11/py-qt3-base/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-qt3-base/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./x11/py-qt3-base/buildlink3.mk	5 Feb 2006 23:11:41 -0000	1.3
+++ ./x11/py-qt3-base/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pyqt3-base
 
 .if !empty(PYQT3_BASE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pyqt3-base+=	${PYPKGPREFIX}-qt3-base>=3.11
-BUILDLINK_RECOMMENDED.pyqt3-base?=	${PYPKGPREFIX}-qt3-base>=3.15.1nb2
+BUILDLINK_API_DEPENDS.pyqt3-base+=	${PYPKGPREFIX}-qt3-base>=3.11
+BUILDLINK_ABI_DEPENDS.pyqt3-base?=	${PYPKGPREFIX}-qt3-base>=3.15.1nb2
 BUILDLINK_PKGSRCDIR.pyqt3-base?=	../../x11/py-qt3-base
 
 BUILDLINK_LIBDIRS.pyqt3-base+=	${PYSITELIB}
Index: ./x11/py-qt3-modules/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-qt3-modules/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./x11/py-qt3-modules/buildlink3.mk	5 Feb 2006 23:11:41 -0000	1.3
+++ ./x11/py-qt3-modules/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pyqt3-mod
 
 .if !empty(PYQT3_MOD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pyqt3-mod+=	${PYPKGPREFIX}-qt3-modules>=3.11
-BUILDLINK_RECOMMENDED.pyqt3-mod?=	${PYPKGPREFIX}-qt3-modules>=3.15.1nb2
+BUILDLINK_API_DEPENDS.pyqt3-mod+=	${PYPKGPREFIX}-qt3-modules>=3.11
+BUILDLINK_ABI_DEPENDS.pyqt3-mod?=	${PYPKGPREFIX}-qt3-modules>=3.15.1nb2
 BUILDLINK_PKGSRCDIR.pyqt3-mod?=	../../x11/py-qt3-modules
 
 BUILDLINK_LIBDIRS.pyqt3-mod+=	${PYSITELIB}
Index: ./x11/py-qt3-sip/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-qt3-sip/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/py-qt3-sip/buildlink3.mk	5 Feb 2006 23:11:41 -0000	1.4
+++ ./x11/py-qt3-sip/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pyqt3-sip
 
 .if !empty(PYQT3_SIP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pyqt3-sip+=	${PYPKGPREFIX}-qt3-sip>=4.0rc3
-BUILDLINK_RECOMMENDED.pyqt3-sip?=	${PYPKGPREFIX}-qt3-sip>=4.3.2nb2
+BUILDLINK_API_DEPENDS.pyqt3-sip+=	${PYPKGPREFIX}-qt3-sip>=4.0rc3
+BUILDLINK_ABI_DEPENDS.pyqt3-sip?=	${PYPKGPREFIX}-qt3-sip>=4.3.2nb2
 BUILDLINK_PKGSRCDIR.pyqt3-sip?=	../../x11/py-qt3-sip
 
 BUILDLINK_LIBDIRS.pyqt3-sip+=	${PYSITELIB}
Index: ./x11/py-wxWidgets/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/py-wxWidgets/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./x11/py-wxWidgets/buildlink3.mk	5 Feb 2006 23:11:41 -0000	1.5
+++ ./x11/py-wxWidgets/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	${PYPKGPREFIX}-wxWidgets
 
 .if !empty(PY_WXWIDGETS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.${PYPKGPREFIX}-wxWidgets+=	${PYPKGPREFIX}-wxWidgets>=2.6.1.0
-BUILDLINK_RECOMMENDED.${PYPKGPREFIX}-wxWidgets?=	${PYPKGPREFIX}-wxWidgets>=2.6.1.0nb3
+BUILDLINK_API_DEPENDS.${PYPKGPREFIX}-wxWidgets+=	${PYPKGPREFIX}-wxWidgets>=2.6.1.0
+BUILDLINK_ABI_DEPENDS.${PYPKGPREFIX}-wxWidgets?=	${PYPKGPREFIX}-wxWidgets>=2.6.1.0nb3
 BUILDLINK_PKGSRCDIR.${PYPKGPREFIX}-wxWidgets?=	../../x11/py-wxWidgets
 
 .include "../../x11/wxGTK/buildlink3.mk"
